commoble.bagofyurting

## Class BagOfYurtingData.StateData

- java.lang.Object
- - commoble.bagofyurting.BagOfYurtingData.StateData

Enclosing class:
  BagOfYurtingData

    public static class BagOfYurtingData.StateData
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `BLOCKSTATE`
`static java.lang.String` `TILE`

### Constructor Summary

Constructors
Constructor and Description
`StateData(net.minecraft.block.BlockState state, net.minecraft.nbt.CompoundNBT tileEntityData)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`net.minecraft.block.BlockState` `getState()`
`static BagOfYurtingData.StateData` `read(net.minecraft.nbt.CompoundNBT nbt)`
`void` `setBlockEntityData(net.minecraft.world.World world, net.minecraft.util.math.BlockPos pos, net.minecraft.util.Rotation unrotation, net.minecraft.util.math.BlockPos minYurt, net.minecraft.util.math.BlockPos maxYurt, net.minecraft.util.math.BlockPos origin)`
`void` `setBlockIntoWorld(net.minecraft.world.World world, net.minecraft.util.math.BlockPos pos, net.minecraft.util.Rotation unrotation)`
`net.minecraft.nbt.CompoundNBT` `write()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BLOCKSTATE

    public static final java.lang.String BLOCKSTATE

See Also:
  Constant Field Values

#### TILE

    public static final java.lang.String TILE

See Also:
  Constant Field Values

### Constructor Detail

#### StateData

    public StateData(@Nonnull
                     net.minecraft.block.BlockState state,
                     @Nonnull
                     net.minecraft.nbt.CompoundNBT tileEntityData)

### Method Detail

#### getState

    public net.minecraft.block.BlockState getState()

#### setBlockIntoWorld

    public void setBlockIntoWorld(net.minecraft.world.World world,
                                  net.minecraft.util.math.BlockPos pos,
                                  net.minecraft.util.Rotation unrotation)

#### setBlockEntityData

    public void setBlockEntityData(net.minecraft.world.World world,
                                   net.minecraft.util.math.BlockPos pos,
                                   net.minecraft.util.Rotation unrotation,
                                   net.minecraft.util.math.BlockPos minYurt,
                                   net.minecraft.util.math.BlockPos maxYurt,
                                   net.minecraft.util.math.BlockPos origin)

#### write

    public net.minecraft.nbt.CompoundNBT write()

#### read

    public static BagOfYurtingData.StateData read(net.minecraft.nbt.CompoundNBT nbt)